Passenger loading in ubuntu 12.04 - apache2 for a rails application

September 1, 2015 723 views
Apache Ruby on Rails

Operating system: Ubuntu 12.04
Ruby -v 2.1.1
Passenger and Apache2

Hi, I have my app weirdly using ubuntu 12.04 for its deployment. I have all the apache2 config file set up and passenger set up but passenger not loading properly.

root@gurume:/var/www/gurume# passenger-config --root
/usr/lib/ruby/1.9.1/rubygems/dependency.rb:247:in to_specs': Could not find passenger (>= 0) amongst [bundler-unload-1.0.2, executable-hooks-1.3.2, gem-wrappers-1.2.7, gem-w
rappers-1.2.4, rubygems-bundler-1.4.4, rvm-] (Gem::LoadError)
from /usr/lib/ruby/1.9.1/rubygems/dependency.rb:256:in
from /usr/lib/ruby/1.9.1/rubygems.rb:1210:in gem'
from /usr/local/bin/passenger-config:18:in

I have checked that passenger is installed properly.

I go to the troubleshooting page you gave me and do
passenger-config --detect-apache2

to see the log file which shows
root@gurume:/var/www/gurume# /var/log/apache2/errorlog
-bash: /var/log/apache2/error
log: No such f

Has anyone come across this problem before? I've had 42 rounds or emailing with the support team but they can't help with this either.

Be the first one to answer this question.